%define name ghostview
%define version 1.5
%define release 8
%define mansections 1

Summary: X11 PostScript viewer (needs ghostscript)
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Icon: ghost.gif
Group: X11/Applications/Graphics
Source: prep.ai.mit.edu:/pub/gnu/%{name}-%{version}.tar.gz
Patch: %{name}-%{version}-glibc.patch
BuildRoot: /tmp/%{name}-%{version}-root
Requires: %{name}-man


%changelog

* Thu Mar 19 1998 Markus Pilzecker <mp@rhein-neckar.netsurf.de>
  - BuildRoot
  - ordinary user can build
  - diverted [un]compressed man pages

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>

- built against glibc


%description
An X front end to the GhostScript PostScript renderer. It
allows you to switch pages in a PostScript document, magnify it, and
print selected pages. It requires GhostScript to be installed.

%package man
Summary: man pages for %{name}
Group: Development/Libraries

%description man
This package includes the [uncompressed] man pages for %{name}.

%package man-gz
Summary: man pages for %{name}
Group: Development/Libraries
Provides: %{name}-man

%description man-gz
This package includes the compressed man pages for %{name}.
Note:  helptool obviously cannot search in compressed man pages [but 
       curiously enough, it can search in compressed info pages !?].  
       Use the uncompressed ones, if this is not what you want.
       The glimpse-rman-tkman combo e.g. can search compressed man pages.


%prep
%setup
%patch -p1

%build
export PATH=/usr/X11R6/bin:$PATH
xmkmf 
make

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man%{mansections}

make install DESTDIR=${RPM_BUILD_ROOT}  MANDIR=/usr/man/man1 BINDIR=/usr/bin
install -m 0644 %{name}.man ${RPM_BUILD_ROOT}/usr/man/man1/%{name}.1

# compress the man pages:
for  i in  $(echo ${RPM_BUILD_ROOT}/usr/man/man?)
  do
    mkdir  $i.gz
    cp -ad $i/* $i.gz/
    gzip $i.gz/*
    cp -adu $i.gz/* $i/
  done


%clean
rm -rf ${RPM_BUILD_ROOT}


%postun
# remove the man sub package:
  # we have to sleep a bit to give the main rpm task time to finish;
  # otherwise we would run into locking problems with the the rpm database
(sleep 5; rpm -q %{name}-man    > /dev/null 2>&1 && rpm -e %{name}-man) &
(sleep 5; rpm -q %{name}-man-gz > /dev/null 2>&1 && rpm -e %{name}-man-gz) &


%files
%attr(-,root,root) %doc COPYING README README.VMS README.selfile HISTORY
%attr(-,root,root) /usr/bin/*
%attr(-,root,root) %config /usr/X11R6/lib/X11/app-defaults/Ghostview

%files man
%attr(644,root,root) /usr/man/man[%{mansections}]/*.[%{mansections}]

%files man-gz
%attr(644,root,root) /usr/man/man[%{mansections}]/*.[%{mansections}].gz

